Hooks:PostHook( NarrativeTweakData , "init" , "HereIsWhereTheMagicHappens" , function(self, tweak_data)

	--defining custom "contractors"
	self.contacts.silkroad =  {
		name_id = "heist_contact_silkroad",
		description_id = "heist_contact_locke_description",
		package = "packages/contact_locke",
		assets_gui = Idstring("guis/dlcs/berry/guis/preload_contact_locke")
	}
	
	self.contacts.cityofgold = {
		name_id = "heist_contact_cityofgold",
		description_id = "heist_contact_jiufeng_description",
		package = "packages/contact_jiufeng",
		assets_gui = Idstring("guis/dlcs/chas/guis/preload_contact_jiufeng")
	}
	
	self.contacts.texasheat =  {
		name_id = "heist_contact_texasheat",
		description_id = "heist_contact_mcshay_description",
		package = "packages/contact_mcshay",
		assets_gui = Idstring("guis/dlcs/ranc/guis/preload_contact_mcshay")
	}
	
	-- Silk Road heists
	self.jobs.mex.contact = "silkroad"
	self.jobs.mex_cooking.contact = "silkroad"
	self.jobs.bex.contact = "silkroad"
	self.jobs.pex.contact = "silkroad"
	self.jobs.fex.contact = "silkroad"
	
	-- City of Gold Heists
	self.jobs.chas.contact = "cityofgold"
	self.jobs.sand.contact = "cityofgold"
	self.jobs.chca.contact = "cityofgold"
	self.jobs.pent.contact = "cityofgold"
	--extra tweak for Ukrainian Prisoner so it has Jiu Feng on its briefing video instead of Vlad who's not even reading it
	self.jobs.sand.crimenet_videos = {"codex/jiufeng1"}
	
	--Texas Heat heists
	self.jobs.ranc.contact = "texasheat"
	self.jobs.trai.contact = "texasheat"
	self.jobs.corp.contact = "texasheat"
	self.jobs.deep.contact = "texasheat"
end)

Hooks:Add("LocalizationManagerPostInit", "OnlyExistsSoThatErrorsDoNotShowUp", function(loc)
    LocalizationManager:add_localized_strings({
        ["heist_contact_silkroad"] = "Campaign: Silk Road",
        ["heist_contact_cityofgold"] = "Campaign: City of Gold",
        ["heist_contact_texasheat"] = "Campaign: Texas Heat",
    })
end)